#include <iostream>
using namespace std;
int myXOR(int x, int y)
{
    int res = 0;
    for (int i = 31; i >= 0; i--)
    {
       bool b1 = x & (1 << i);
       bool b2 = y & (1 << i);
        bool xoredBit = (b1 & b2) ? 0 : (b1 | b2);
        res <<= 1;
        res |= xoredBit;
    }
    return res;
}
int main()
{
    int t;
    long long xi=0,yi=0,k;
    cin>>t;
    int ai[t],bi[t],x[t],y[t];
    for(int i=0;i<t;i++)
    {
        cin>>ai[i]>>bi[i];
        while(yi<ai[i])
        {
            k=ai[i]/myXOR(bi[i],yi);
            if(yi==k)
            {
                xi=myXOR(bi[i],yi);
                x[i]=xi;
                y[i]=yi;
                break;
            }
            yi++;
        }
        yi=0;
    }
    for(int i=0;i<t;i++)
        cout<<x[i]<<" "<<y[i]<<endl;
    return 0;
}